<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE = edge,chrome = 1">
  <title>Hello World using Backbone.js</title>

  <script src="./node_modules/jquery/dist/jquery.min.js">
  </script>
  <script src="./node_modules/underscore/underscore-min.js">
  </script>
  <script src="./node_modules/backbone/backbone-min.js">
  </script>

</head>

<body>
  <script type="text/javascript">
    //'Router' is a name of the router class
    var Router = Backbone.Router.extend({

      //The 'routes' maps URLs with parameters to functions on your router
      routes: {
        '': 'myroute_1',
        'myroute_2': 'myroute_2'
      },

      //After executing the code, it will display this line
      myroute_1: function() {
        document.write("myroute one has been called.");
      },

      //When you enter the #myroute_2 at the end of url, it will display this line
      myroute_2: function() {
        document.write("myroute two has been called.");
      },
    });
    var appRouter = new Router; //It is an instantiation of the router

    //It start listening to the routes and manages the history for bookmarkable URL's
    Backbone.history.start();
  </script>


</body>

</html>